//MADJIONICAR
#include <iostream>
using namespace std;

int main()
{
    int n, k;
    cin>>n>>k;
    int niz[n];
    for (int i=0; i<n; i++)
    {
        cin>>niz[i];
    }
    
    //n=2
    if(n==2)
    {
        if(k==1){cout<<2;}
        if(k==2){cout<<1;}
    }
    
    //ostalo
    int karta;
    if(n>2)
    {
        for (int i=0; i<n; i++)
        {
            if(niz[i]==k)
            {
                karta=niz[i+1];
                if (niz[i]==niz[n-1]){karta=niz[0];}
            }
            
        }
        cout<<karta;
    }
    
    return 0;
}